import resolve from 'rollup-plugin-node-resolve'
import buble from 'rollup-plugin-buble';
import minify from 'rollup-plugin-minify';
import copy from 'rollup-plugin-copy';
import includePaths from 'rollup-plugin-includepaths';
import license from 'rollup-plugin-license';

export default {
  //dest: 'dist/app.min.js',
  input: 'src/js/index.js',
  output: {
    file: 'dist/js/app.min.js',
    name: 'CHEMTOP',
    format: 'umd',
    sourceMap: true
  },
  plugins: [
    includePaths({
      paths: ['src/js', 'src/js/widget', 'src/js/misc']
    }),
    copy({
      'src/html/index.html': 'dist/index.html',
      'src/css/index.css': 'dist/css/index.css',
      verbose: true
    }),
    buble({jsx: 'h'}),
    resolve({}),
    license({
      banner: 'Copyright (C) F. Hoffmann-La Roche AG, 2020.\nAuthor: stanislaw.adaszewski@roche.com\nAll Rights Reserved.',
    }) /* ,
    minify({
      iife: 'dist/app.min.js'
    }) */
  ]
}
